Subject: Re: linux-next: BUG: unable to handle kernel NULL pointer dereference in __sk_mem_raise_allocated()

From: Paolo Abeni <[email-masked]>
Date: Tue, 15 Nov 2016 09:57:19 +0100

On Mon, 2016-11-14 at 16:31 -0800, Eric Dumazet wrote:
> On Mon, 2016-11-14 at 15:58 -0800, Andrei Vagin wrote:
> 
> > 
> > Yes, you are right. It works if we set .memory_allocated and .sysctl_mem.
> 
> Now the question would be :
> 
> Are we okay if UDP and UDPlite share the same limits ?
> 
> I would vote for yes, because these default limits are huge anyway
> (The 50% reduction done in
> https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=b66e91ccbc34ebd5a2f90f9e1bc1597e2924a500
> only impacted TCP )

Thank you for jumping on this so early!

I'm sorry for the udplite left over: my fault.

I agree with sharing the limits between UDP and UDPlite. I think that
the current ones are so high we can apply also a similar reduction to
UDP (and SCTP, too)

Cheers,

Paolo